Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.runflow.ai/api/v1/runtime/sessions
import requestsurl = "https://api.runflow.ai/api/v1/runtime/sessions"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://api.runflow.ai/api/v1/runtime/sessions', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.runflow.ai/api/v1/runtime/sessions", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.runflow.ai/api/v1/runtime/sessions" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://api.runflow.ai/api/v1/runtime/sessions") .asString();
require 'uri'require 'net/http'url = URI("https://api.runflow.ai/api/v1/runtime/sessions")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
List sessions for the current agent. Returns last message for each session.
ISO date — sessions inactive before this date
Filter by status: in_progress, qualified, closed, etc.
Items per page (default 20, max 100)
Items to skip (default 0)
Sessions listed successfully.